com.impinj.stp

## Class StpApi.AddSerializationJobCommand.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.AddSerializationJobCommand.Builder>
      - - com.impinj.stp.StpApi.AddSerializationJobCommand.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.AddSerializationJobCommandOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.AddSerializationJobCommand

      public static final class StpApi.AddSerializationJobCommand.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.AddSerializationJobCommand.Builder>
      implements StpApi.AddSerializationJobCommandOrBuilder

  Protobuf type `Impinj.STP.AddSerializationJobCommand` Set the SerializationJob_

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.AddSerializationJobCommand` | `build()`
    `StpApi.AddSerializationJobCommand` | `buildPartial()`
    `StpApi.AddSerializationJobCommand.Builder` | `clear()`
    `StpApi.AddSerializationJobCommand.Builder` | `clearSerializationJob()`
    `StpApi.AddSerializationJobCommand.Builder` | `clone()`
    `StpApi.AddSerializationJobCommand` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.SerializationJob` | `getSerializationJob()`
    `StpApi.SerializationJob.Builder` | `getSerializationJobBuilder()`
    `StpApi.SerializationJobOrBuilder` | `getSerializationJobOrBuilder()`
    `boolean` | `hasSerializationJob()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.AddSerializationJobCommand.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.AddSerializationJobCommand.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.AddSerializationJobCommand.Builder` | `mergeFrom(StpApi.AddSerializationJobCommand other)`
    `StpApi.AddSerializationJobCommand.Builder` | `mergeSerializationJob(StpApi.SerializationJob value)`
    `StpApi.AddSerializationJobCommand.Builder` | `setSerializationJob(StpApi.SerializationJob.Builder builderForValue)`
    `StpApi.AddSerializationJobCommand.Builder` | `setSerializationJob(StpApi.SerializationJob value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.AddSerializationJobCommand.Builder>`

    - #### clear

          public StpApi.AddSerializationJobCommand.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.AddSerializationJobCommand.Builder>`

    - #### clone

          public StpApi.AddSerializationJobCommand.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.AddSerializationJobCommand.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.AddSerializationJobCommand.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.AddSerializationJobCommand getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.AddSerializationJobCommand build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.AddSerializationJobCommand buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.AddSerializationJobCommand.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.AddSerializationJobCommand.Builder>`

    - #### mergeFrom

          public StpApi.AddSerializationJobCommand.Builder mergeFrom(StpApi.AddSerializationJobCommand other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.AddSerializationJobCommand.Builder>`

    - #### mergeFrom

          public StpApi.AddSerializationJobCommand.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                              throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.AddSerializationJobCommand.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasSerializationJob

          public boolean hasSerializationJob()

      Specified by:
        `hasSerializationJob` in interface `StpApi.AddSerializationJobCommandOrBuilder`

    - #### getSerializationJob

          public StpApi.SerializationJob getSerializationJob()

      Specified by:
        `getSerializationJob` in interface `StpApi.AddSerializationJobCommandOrBuilder`

    - #### setSerializationJob

          public StpApi.AddSerializationJobCommand.Builder setSerializationJob(StpApi.SerializationJob value)

    - #### setSerializationJob

          public StpApi.AddSerializationJobCommand.Builder setSerializationJob(StpApi.SerializationJob.Builder builderForValue)

    - #### mergeSerializationJob

          public StpApi.AddSerializationJobCommand.Builder mergeSerializationJob(StpApi.SerializationJob value)

    - #### clearSerializationJob

          public StpApi.AddSerializationJobCommand.Builder clearSerializationJob()

    - #### getSerializationJobBuilder

          public StpApi.SerializationJob.Builder getSerializationJobBuilder()

    - #### getSerializationJobOrBuilder

          public StpApi.SerializationJobOrBuilder getSerializationJobOrBuilder()

      Specified by:
        `getSerializationJobOrBuilder` in interface `StpApi.AddSerializationJobCommandOrBuilder`